GDB (API)

Public Attributes | List of all members
rank Struct Reference

`#include "gdbtypes.h"`

## Public Attributes
short | rank
short | subrank

## Detailed Description

Struct used to store conversion rankings.

Definition at line 1024 of file gdbtypes.h.

## Member Data Documentation

## ◆ rank

short rank::rank

Definition at line 1026 of file gdbtypes.h.

## ◆ subrank

short rank::subrank

When two conversions are of the same type and therefore have the same rank, subrank is used to differentiate the two.

Eg: Two derived-class-pointer to base-class-pointer conversions would both have base pointer conversion rank, but the conversion with the shorter distance to the ancestor is preferable. 'subrank' would be used to reflect that.

Definition at line 1036 of file gdbtypes.h.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbtypes.h